﻿@model ProyectoLenguajes.Models.Dish
@{
    ViewData["Title"] = "Upsert";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var title = "Create Dish";
}


<form method="post" class="border col-12" enctype="multipart/form-data">
    <div class="row p-3">
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>

        @if (Model.Id != 0)
        {
            title = "Edit Dish";
        }
        <div class="col-12 border-bottom">
            <h2 class="text-info">@title</h2>
        </div>
        <div class="col-5 pt-4">
            <div class="form-group row col-12">
                <div class="col-3">
                    <label asp-for="Name"></label>
                </div>
                <div class="col-9">
                    <input asp-for="Name" class="form-control" />
                    <span asp-validation-for="Name" class="text-danger"></span>
                </div>
            </div>
            <div class="row col-12">
                <div class="form-group row col-6">
                    <div class="col-4">
                        <label asp-for="Price"></label>
                    </div>
                    <div class="col-8">
                        <input asp-for="Price" class="form-control" />
                        <span asp-validation-for="Price" class="text-danger"></span>
                    </div>
                </div>
                <div class="form-group row col-6">
                    <div class="col-4">
                        <label asp-for="IsEnabled"></label>
                    </div>
                    <div class="col-8">
                        <input asp-for="IsEnabled" type="checkbox" class="form-control" />
                        <span asp-validation-for="IsEnabled" class="text-danger"></span>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <div class="col-12">
                    <label asp-for="Description"></label>
                </div>
                <div class="col-12">
                    <textarea asp-for="Description" class="form-control"></textarea>
                    <span asp-validation-for="Description" class="text-danger"></span>
                </div>
            </div>
            <div class="form-group row col-12">
                <div class="col-2">
                    <label asp-for="PhotoUrl"></label>
                </div>
                <div class="col-10">
                    <input type="file" name="files" id="uploadBox" class="form-control" />
                    <span asp-validation-for="PhotoUrl" class="text-danger"></span>
                </div>
            </div>

        </div>
        @if (Model.Id != 0)
        {
            <div class="col-7 pt-4">
                <img src="@Model.PhotoUrl" class="col-12" style="object-fit: cover;" />
            </div>
        }
        else
        {   
            <div class="col-7 pt-4">
                <img src="\images\dishes\plato-madera.jpg" class="col-12" style="object-fit: cover; max-height:400px" />
            </div>          
        }
    </div>
    <div class="col-12 mb-3 offset-4">
        @if (Model.Id != 0)
        {
        <div class="col-4 justify-content-center">
            <partial name="_EditBackButtons" model="Model.Id" />
        </div>
        }
        else
        {
            <div class="row col-4 justify-content-center">
                <div class="col">
                    <button type="submit" onclick="return validateInput()" class="btn btn-primary form-control">Create</button>
                </div>
                <div class="col">
                    <a asp-action="Index" class="btn btn-success form-control">Back to List</a>
                </div>
            </div>
        }
    </div>
</form>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
    <script src="https://cdn.tiny.cloud/1/dn3ry0rcqra8e6p31pqoqaxuxamf5jsbw4mykb6g8qiadrk5/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

    <script>
        tinymce.init({
            selector: 'textarea',
            plugins: 'lists',
            manubar: 'file edit format'
        });

        function validateInput() {
            if (document.getElementById("uploadBox").value == "") {
                swal("Error", "Please, select an image", "error");
                return false;
            }
            return true;
        }
    </script>
}
